import npyscreen


class Handler(npyscreen.ButtonPress):
    """
    Very important, called when the player hits send, there are several things we need to do here:
    1: handle the player's input, and run logic, this is done in handler.py
    2: prepare new items to display on the screen
    3: re-render the screen
    """
    def whenPressed(self):
        # This is the raw command from the user
        raw_command = self.parent.dialogueBox.value

        # This is the raw command from the user
        parsed_command = raw_command.split()

        try:
            command = parsed_command.pop(0)
        except IndexError:
            pass
        arguments = parsed_command

        self.parent.update_log('command: ' + command)
        self.parent.update_log('args: {0}'.format(arguments))
        self.parent.dialogueBox.value = ''
        self.parent.artContent.display()
        self.parent.parentApp.switchForm('GAME')
